eID middleware |

# be.portugal.eid.PTEID_LogLevel Class Reference

Class that holds the different log level definitions. More...

List of all members.

## Public Member Functions
final int | swigValue ()
String | toString ()
## Static Public Member Functions
static PTEID_LogLevel | swigToEnum (int swigValue)
## Static Public Attributes
static final PTEID_LogLevel | PTEID_LOG_LEVEL_CRITICAL = new PTEID_LogLevel("PTEID_LOG_LEVEL_CRITICAL")
| log level: critical
static final PTEID_LogLevel | PTEID_LOG_LEVEL_ERROR = new PTEID_LogLevel("PTEID_LOG_LEVEL_ERROR")
| log level: error
static final PTEID_LogLevel | PTEID_LOG_LEVEL_WARNING = new PTEID_LogLevel("PTEID_LOG_LEVEL_WARNING")
| log level: warning
static final PTEID_LogLevel | PTEID_LOG_LEVEL_INFO = new PTEID_LogLevel("PTEID_LOG_LEVEL_INFO")
| log level: info
static final PTEID_LogLevel | PTEID_LOG_LEVEL_DEBUG = new PTEID_LogLevel("PTEID_LOG_LEVEL_DEBUG")
| log level: debug

## Detailed Description

Class that holds the different log level definitions.

## Member Function Documentation

static PTEID_LogLevel be.portugal.eid.PTEID_LogLevel.swigToEnum | ( | int | swigValue | ) | `[static]`

final int be.portugal.eid.PTEID_LogLevel.swigValue | ( |  | ) |

String be.portugal.eid.PTEID_LogLevel.toString | ( |  | ) |

## Member Data Documentation

final PTEID_LogLevel be.portugal.eid.PTEID_LogLevel.PTEID_LOG_LEVEL_CRITICAL = new PTEID_LogLevel("PTEID_LOG_LEVEL_CRITICAL")`[static]`

log level: critical

final PTEID_LogLevel be.portugal.eid.PTEID_LogLevel.PTEID_LOG_LEVEL_DEBUG = new PTEID_LogLevel("PTEID_LOG_LEVEL_DEBUG")`[static]`

log level: debug

final PTEID_LogLevel be.portugal.eid.PTEID_LogLevel.PTEID_LOG_LEVEL_ERROR = new PTEID_LogLevel("PTEID_LOG_LEVEL_ERROR")`[static]`

log level: error

final PTEID_LogLevel be.portugal.eid.PTEID_LogLevel.PTEID_LOG_LEVEL_INFO = new PTEID_LogLevel("PTEID_LOG_LEVEL_INFO")`[static]`

log level: info

final PTEID_LogLevel be.portugal.eid.PTEID_LogLevel.PTEID_LOG_LEVEL_WARNING = new PTEID_LogLevel("PTEID_LOG_LEVEL_WARNING")`[static]`

log level: warning